package pps.cloud.base.service.data.base_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 井口配置Cloud模块
 *
 * @author ZWT
 * @date 2023/09/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryBaseWellheadInput {

    @XText("井口ID")
    private String wellheadId;

    @XText("井口ID集合")
    private List<String> wellheadIds;

    @XText("井号名称集合")
    private List<String> wellNumbers;
}
