package pps.core.prediction.constant;

/**
 * 第三方接口地址
 *
 * @author ZWT
 * @date 2024/03/18 09:25
 */
public class ThirdPartyApiConstant {
    /*------------------------------ 长庆 ------------------------------*/

    /**
     * Redis缓存key
     */
    public static final String CQ_TOKEN_CACHE_KEY = "pps.third.cq.token";

    /**
     * 过期时间
     */
    public static final int MAX_SECOND = 300;

    /**
     * 系统来源
     */
    public static final String CQ_SOURCE = "长庆";

    /**
     * 长庆Token
     */
    public static final String CQ_TOKEN = "/Smart_Well_Data/api/v1/Auth/GetToken";
    /**
     * 获取日耗电日产液等信息
     */
    public static final String CQ_WELL_TECH_DAILY = "/Smart_Well_Data/api/v1/PvDataManagement/GET_WELL_TECH_DAILY";
    /**
     * 获取有功功率数据
     */
    public static final String CQ_WELL_STATION_PV_DATA = "/Smart_Well_Data/api/v1/PvDataManagement/GET_WELL_STATION_PV_DATA";
    /**
     * 获取甘特图数据
     */
    public static final String CQ_RPT_SYSTEM_START_STOP = "/Smart_Well_Data/api/v1/SdDataManagement/Get_RPT_SYSTEM_START_STOP";
    /**
     * 本日累计数据
     */
    public static final String CQ_WELL_REAL_PV_DATA = "/Smart_Well_Data/api/v1/PvDataManagement/GET_WELL_Real_PV_DATA";
    /**
     * 光伏发电量
     */
    public static final String CQ_STATION_DAILY_PV_DATA = "/Smart_Well_Data/api/v1/PvDataManagement/Station_Daily_PV_Data";
}
