package pps.core.base.service.data.base_line;

import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class QueryBaseLineOutput extends XPageInput {

    private String id;

    @XText("上级线路")

    private Integer parentId;

    @XText("线路名称")

    private String lineName;

    @XText("线路类型")
    private String lineType;

    @XText("线路类型")
    private String lineTypeName;

    @XText("电网类型")
    private String gridType;

    @XText("电网类型")
    private String gridTypeName;

    @XText("装机容量")

    private BigDecimal installCapacity;

    @XText("阵列倾角")

    private BigDecimal arrayIncidence;

    @XText("阵列朝向")

    private BigDecimal arrayToward;

    @XText("油田ouid")
    private String oilOuId;

    @XText("油田ouid")
    private String oilOuName;

    @XText("井场ouid")
    private String wellOuId;

    @XText("井场ouname")
    private String wellOuName;

    @XText("上级线路名称")
    private String pLineName;


    private String createById;


    private String createByName;


    private Date createTime;


    private String modifyById;


    private String modifyByName;


    private Date modifyTime;

    private String productionYear;

    private String serviceLength;
}
