package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdActivePowerView;

import java.util.List;

/**
 * 第三方有功功率
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Repository(value = "pps.core.prediction.mapper.ThirdActivePowerViewMapper")
public interface ThirdActivePowerViewMapper {
    ThirdActivePowerView selectOne(ThirdActivePowerView record);

    List<ThirdActivePowerView> selectList(ThirdActivePowerView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdActivePowerView> list);
}
